Package com.tietoenator.trip.jxp

# Enum Class TdbTripFeature

java.lang.Object
java.lang.Enum<TdbTripFeature>
com.tietoenator.trip.jxp.TdbTripFeature

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbTripFeature>`, `Constable`

public enum TdbTripFeature extends Enum<TdbTripFeature>
Enumeration of various TRIP features that the application or TRIPjxp itself may have to check for the existence of in order to determine the appropriate course of action for a particular operation.

See Also:
  - `TdbSession.supportsFeature(com.tietoenator.trip.jxp.TdbTripFeature)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BulkDatabaseDesignFetch`
  Support for retrieving all the design for all accessible databases in one single request rather than over one request per design.
  `CapabilityProbe`
  Support pre-login probing of server capabilities such as support for access tokens.
  `CommitAse`
  The assignment of names of ASE routines to call when updating or inserting a record.
  `ConnectorDatabases`
  Support for the creation of databases for TRIPcof import connectors.
  `DatabaseInSearchHistory`
  Support for the information on the actual database or cluster associated with each search history detail entry.
  `DidYouMean`
  Support for did-you-mean suggestions when using the FUZZ command in CCL.
  `ExtractFromStored`
  Extract text from data already stored in a STRING field without supplying a new (or the same) STRING field value to the TdbTextExtractionInfo instance.
  `FacetBaseline`
  Support for baseline values with facets.
  `FetchMergeParts`
  Support for TdbFieldFetchType.FocusMergeParts, TdbFieldFetchType.ExtractMergeParts, TdbFieldFetchType.FocusOrExtractMergeParts flags
  `FilenameForHtmlConversion`
  Provide name of field containing name of file to convert to HTML.
  `FormattedValueFields`
  Support for retrieval of output format reports as TdbTextField instances.
  `FQNameTemplateRetrieval`
  Support for defining retrieval template using fully qualified names
  `GraphDatabases`
  Graph database functionality.
  `JsonStorage`
  Support for JSON storage in TRIPxml.
  `KernelFacetBaselines`
  Kernel support for facet baselines.
  `ListViews`
  Support for listing VIEWS defined in the current session.
  `LoginTickets`
  Support for login tickets.
  `OnDemandTermLists`
  Support for on-demand and multiple, concurrent term lists.
  `SearchComforters`
  Search comforters make it possible to get regular notifications from the server for lengthy queries, and also enables applications to abort such queries.
  `ServerSessionLogging`
  Support for session-specific server-side API and XPI logging.
  `ServerSideRecordCopying`
  Copy a record utilizing a server-side routine instead of routing all data via the client.
  `StreamingDownload`
  Retrieve large binary values in smaller chunks instead of all in one go.
  `StreamingUpload`
  Send large binary values to the server in smaller chunks instead of all in one go.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbTripFeature`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbTripFeature[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CommitAse

    public static final TdbTripFeature CommitAse
    The assignment of names of ASE routines to call when updating or inserting a record.
    Since:
      TRIPsystem 6.2-4
    See Also:
      - `TdbRecord.insertAseList()`
      - `TdbRecord.updateAseList()`

  - ### DidYouMean

    public static final TdbTripFeature DidYouMean
    Support for did-you-mean suggestions when using the FUZZ command in CCL.
    Since:
      TRIPsystem 6.2-0
    See Also:
      - `TdbRecordSet.getDidYouMean()`

  - ### FilenameForHtmlConversion

    public static final TdbTripFeature FilenameForHtmlConversion
    Provide name of field containing name of file to convert to HTML.

    The constructors of the TdbRendition and TdbHighlightRendition can from version 2.1-2 or TRIPjxp take the name of a phrase field that holds the name of the file to convert to HTML.

    This information is necessary for TRIPcof and TRIPview-C so that they will better be able to identify the type of the file. If the original file name is not known to the HTML converter, there is a risk that the conversion will fail.

    Since:
      TRIPsystem 6.2-9
    See Also:
      - `TdbRendition(java.lang.String, java.lang.String, com.tietoenator.trip.jxp.data.TdbRenditionType)`
      - `TdbHighlightRendition(java.lang.String, java.lang.String, java.lang.String, com.tietoenator.trip.jxp.data.TdbRenditionType)`

  - ### OnDemandTermLists

    public static final TdbTripFeature OnDemandTermLists
    Support for on-demand and multiple, concurrent term lists.

    On-demand term lists are retrieved from the server in several smaller chunks, which reduces resource consumption and I/O wait time in siutations with very large term lists. This kind of term list can also be used concurrently so that the application can have more than one active term list at a time.

    Since:
      TRIPsystem 7.0-0

  - ### SearchComforters

    public static final TdbTripFeature SearchComforters
    Search comforters make it possible to get regular notifications from the server for lengthy queries, and also enables applications to abort such queries.
    Since:
      TRIPsystem 6.2-8
    See Also:
      - `TdbSession.setNotificationSink(com.tietoenator.trip.jxp.session.TdbNotificationSink)`
      - `TdbSession.enableNotification(com.tietoenator.trip.jxp.session.TdbNotificationType, boolean)`
      - `TdbSession.enableNotification(com.tietoenator.trip.jxp.session.TdbNotificationType, int)`

  - ### StreamingDownload

    public static final TdbTripFeature StreamingDownload
    Retrieve large binary values in smaller chunks instead of all in one go.

    This feature is used automatically if it is supported by the connected server. If the server does not support this feature, retrieveing large files may cause timeout or out of memory exceptions.

    Since:
      TRIPsystem 6.2-9:7

  - ### StreamingUpload

    public static final TdbTripFeature StreamingUpload
    Send large binary values to the server in smaller chunks instead of all in one go.

    This feature is used automatically by TRIPjxp if it detects that it is supported by the connected server. If the server does not support this feature, sending large files may cause timeout or out of memory exceptions.

    Since:
      TRIPsystem 6.2-9:20 and 7.0-0:4

  - ### ExtractFromStored

    public static final TdbTripFeature ExtractFromStored
    Extract text from data already stored in a STRING field without supplying a new (or the same) STRING field value to the TdbTextExtractionInfo instance.

    This feature may be enabled in the TdbTextExtractionInfo class if the server supports this feature.

    Since:
      TRIPsystem 6.2-9:20 and 7.0.0-4
    See Also:
      - `TdbTextExtractionInfo`

  - ### ServerSideRecordCopying

    public static final TdbTripFeature ServerSideRecordCopying
    Copy a record utilizing a server-side routine instead of routing all data via the client.
    Since:
      TRIPsystem 7.0-4
    See Also:
      - `TdbRecord.copy(java.lang.String)`
      - `TdbRecord.copy(com.tietoenator.trip.jxp.database.TdbDatabaseDesign)`

  - ### GraphDatabases

    public static final TdbTripFeature GraphDatabases
    Graph database functionality.

    The graph package depends on this functionality, as does graph-related functionality in the data and database packages.

    Since:
      TRIPsystem 7.1-0

  - ### FQNameTemplateRetrieval

    public static final TdbTripFeature FQNameTemplateRetrieval
    Support for defining retrieval template using fully qualified names
    Since:
      TRIPsystem 7.2-0

  - ### FetchMergeParts

    public static final TdbTripFeature FetchMergeParts
    Support for TdbFieldFetchType.FocusMergeParts, TdbFieldFetchType.ExtractMergeParts, TdbFieldFetchType.FocusOrExtractMergeParts flags
    Since:
      TRIPsystem 7.2-0

  - ### FacetBaseline

    public static final TdbTripFeature FacetBaseline
    Support for baseline values with facets.
    Since:
      TRIPsystem 7.2-1

  - ### DatabaseInSearchHistory

    public static final TdbTripFeature DatabaseInSearchHistory
    Support for the information on the actual database or cluster associated with each search history detail entry.
    Since:
      TRIPsystem 7.2-1

  - ### JsonStorage

    public static final TdbTripFeature JsonStorage
    Support for JSON storage in TRIPxml.
    Since:
      TRIPsystem 8.0

  - ### FormattedValueFields

    public static final TdbTripFeature FormattedValueFields
    Support for retrieval of output format reports as TdbTextField instances. Requested via TdbFieldFetchType.FormattedValue and TdbFieldTemplate.
    Since:
      TRIPsystem 8.0

  - ### KernelFacetBaselines

    public static final TdbTripFeature KernelFacetBaselines
    Kernel support for facet baselines.
    Since:
      TRIPsystem 8.0-0

  - ### ConnectorDatabases

    public static final TdbTripFeature ConnectorDatabases
    Support for the creation of databases for TRIPcof import connectors.
    Since:
      TRIPsystem 8.0-0

  - ### LoginTickets

    public static final TdbTripFeature LoginTickets
    Support for login tickets.

    This feature is supported in TRIPsystem since version 8.0-0, but the recommended minimum version is 8.0-4. Also note that the login ticket subsystem must be enabled in TRIPsystem configuration before applications can make use of it.

    Since:
      TRIPsystem 8.0-0

  - ### BulkDatabaseDesignFetch

    public static final TdbTripFeature BulkDatabaseDesignFetch
    Support for retrieving all the design for all accessible databases in one single request rather than over one request per design.
    Since:
      TRIPsystem 8.3-0

  - ### ServerSessionLogging

    public static final TdbTripFeature ServerSessionLogging
    Support for session-specific server-side API and XPI logging.
    Since:
      TRIPsystem 8.3-0

  - ### ListViews

    public static final TdbTripFeature ListViews
    Support for listing VIEWS defined in the current session.
    Since:
      TRIPsystem 8.4-0

  - ### CapabilityProbe

    public static final TdbTripFeature CapabilityProbe
    Support pre-login probing of server capabilities such as support for access tokens.
    Since:
      TRIPsystem 8.4-0

- ## Method Details

  - ### values

    public static TdbTripFeature[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbTripFeature valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null